> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Update component on a screening



## OpenAPI

````yaml put /screenings/{screeningPublicId}/components/{screeningComponentPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/{screeningPublicId}/components/{screeningComponentPublicId}:
    put:
      tags:
        - Components
      summary: Update component on a screening
      operationId: >-
        put-screenings-{screeningPublicId}-components-{screeningComponentPublicId}
      parameters:
        - in: path
          name: screeningPublicId
          required: true
          schema:
            type: string
          example: '123'
        - in: path
          name: screeningComponentPublicId
          required: true
          schema:
            type: string
          example: '123'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateScreeningComponentInputApiSchema'
      responses:
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpdateScreeningComponentInputApiSchema:
      type: object
      properties:
        amount:
          type: number
        applicationWaste:
          type:
            - number
            - 'null'
        excludedPackaging:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
                minLength: 16
                maxLength: 16
                examples:
                  - screeningMaterial_xxxxxxxxxxxx
            required:
              - publicId
        excludePallet:
          type: boolean
      required:
        - amount
        - excludedPackaging
        - excludePallet
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````